{
    num: 563,
    accuracy: true,
    basePower: 0,
    category: "Status",
    isNonstandard: "Past",
    name: "Rototiller",
    pp: 10,
    priority: 0,
    flags: { distance: 1, nonsky: 1, metronome: 1 },
    onHitField(target, source) {
        const targets = [];
        let anyAirborne = false;
        for (const pokemon of this.getAllActive()) {
            if (!pokemon.runImmunity("Ground")) {
                this.add("-immune", pokemon);
                anyAirborne = true;
                continue;
            }
            if (pokemon.hasType("Grass")) {
                targets.push(pokemon);
            }
        }
        if (!targets.length && !anyAirborne)
            return false;
        for (const pokemon of targets) {
            this.boost({ atk: 1, spa: 1, spe: 1 }, pokemon, source);
        }
    },
    secondary: null,
    target: "all",
    type: "Ground",
    zMove: { boost: { atk: 1 } },
    contestType: "Tough"
}
